## gate.swing
Class XJEditorPane.BackAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--gate.swing.XJEditorPane.BackAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  XJEditorPane

class XJEditorPane.BackAction
extends AbstractAction

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.AbstractAction
`AbstractAction.ArrayTable`

Fields inherited from class javax.swing.AbstractAction
`arrayTable, changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`private` `XJEditorPane.BackAction()`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getValue, isEnabled, putValue, readObject, removePropertyChangeListener, setEnabled, writeObject`

Methods inherited from class java.lang.Object
`<clinit>, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### XJEditorPane.BackAction

    private XJEditorPane.BackAction()
                             throws IOException

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Overrides:
    `actionPerformed` in class `AbstractAction`